Public Support - Support Request #4134

How to compress video data from 4K camera device with h264 codec
2018-09-13 16:07 - hidden

Status: Closed

Priority: Normal

Category:

Customer: FERCHAU Product Issue

Numbers:

Department: Affected Products: ADTF 2.14.2, ADTF Device Toolbox
2.7.0, ADTF Video Compression Toolbox
25.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 3rd Level Topic: CompressionTB::Common

Resolution: Solved Issue FAQ Links:

Description

Supportanfrage

Unser Problem ist das wir eine 4K Kamera in eine vorhandene Config im ADTF, mit einer H264 Komprimierung, einbinden missen.
Dies haben wir bis auf die Komprimierung geschafft und benétigen hierfiir Inren Know-how!

Lésung
Anleitung zum Setup:

1) Installation ADTF Umgebung aus dem Downloadbereich -> Overview of Products_and Documentation (sofern noch nicht
geschehen):

e ADTF 2.14.2
e Device Toolbox 2.7.0
¢ Video Compression Toolbox 2.5.0

2) Installation des H264 Codecs fur Video for Windows:

e Encoder -> https://sourceforge.net/projects/x264viw/
o |Im Tool *Configure x264vfw64:
= Qutput Mode = VFW
= VFW FourCC = H264
= Disable decoder setzen (Wichtig, damit nachfolgender Decoder verwendet wird!)
¢ Decoder -> https://www.videchelp.com/software/ffdshow

3) Beigefligte Config h264.zip entpacken und im ADTF starten

e Config LIVE -> Zur Kontrolle der Camera
¢ Config Recording -> Aufnahme des komprimierten Video Stroms
¢ Config Playback -> Abspielen einer mittels Recording Config aufgenommen DAT Datei mit komprimierten Video Stream

> Es W|rd davon ausgegangen, dass das Kamera Dewce automatlsch erkannt wird (ansonsten bitte entsprechend in den Properties
des Direct Show Filter konflgurleren Infos siehe Usermanual Device TB Kao 8ff)

> Aufgenommene DAT Files kénnen dann via Project abgesplelt werden, als active Configuration muss natdrlich Playback gesetzt
sein (siehe auch Usermanual ADTF Kap. 3.3 Project Tree

-> Mit dem Datexporter kdnnt ihr das Video exportieren (Extrahieren), entweder per GUI (siehe Usermanual ADTF Kap. 3.10.1 DAT
Exporter) oder Kommandozeile (siehe "Usermanual Compression TB Kap. 5 Export and import of compressed video
streams":/adtf_addons/adtf-video-compression-toolbox/v2/video_compression_toolbox.pdf

Hinweis:
Es kann sein dass es zu Exceptions kommt, das hat aber keine negativen Auswirkungen auf euren Use Case, auB3er dass sich ADTF
beendet.
https://support.digitalwerk.net/projects/download-center/wiki/Overview_of_Products_and_Documentation
support.digitalwerk.net/projects/download-center/repository/show/adtf/release-2.14.2
support.digitalwerk.net/projects/download-center/repository/show/adtf-toolboxes/adtf-device-toolbox/release-2.7.0
support.digitalwerk.net/projects/download-center/repository/show/adtf-toolboxes/adtf-video-compression-toolbox/release-2.5.0
https://sourceforge.net/projects/x264vfw/
https://www.videohelp.com/software/ffdshow
https://support.digitalwerk.net/attachments/4978
support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf
support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf

Es liegt am Buffer von VfW, leider sind uns hier die Hande gebunden...
Deshalb ware meine Empfehlung, Recording und Playback immer zu trennen, also ADTF dazwischen zu beenden.

History

#1 - 2018-09-13 16:07 - hidden

- Status changed from New to In Progress

#2 - 2018-09-14 08:45 - hidden
- Subject changed from H264 to How to compress video data from 4K camera device with h264 codec
- Description updated

- Author changed from hidden to hidden

#4 - 2018-09-14 13:58 - hidden
- Platform Windows 10 32bit added
- Platform deleted (Windows 7 64bit)

#5 - 2018-09-14 14:19 - hidden

Hallo Herr Roth,
wann kdénnten Sie oder jemand anderes vorbeikommen um unser Problem zu l16sen?

Windows 10 64bit haben wir sowie device Toolbox 2.7 und Display Toolbox 2.11
#6 - 2018-09-14 15:07 - hidden

- Platform Windows 10 64bit added
- Platform deleted (Windows 10 32bit)

Hallo Herr Gorke,

ich bin an dem Thema dran, leider ist es mir noch nicht gelungen, ein Video mit h264 Konvertierung abzuspielen, Recording geht.
Ich feile noch an den Einstellungen, scheinbar gibt es ein Problem beim Decoding...

Andere Codecs (wie IYUV) laufen problemlos, diese kommen nicht in Frage oder ?
Das Problem ist dass der Support von h264 (laut Online Recherche) fir VfW eingestellt wurde und es zu solchen Problemen kommen kann...

Deshalb die Frage:

e Sie sind an H264 gebunden, eine andere Komprimierung scheidet aus ?
e Ware ein Wechsel von Windows auf Linux eine Option ?

Fur alles weitere benétige ich noch etwas Zeit, es wird aber in jeden Fall eine Losung fir Sie ndchste Woche geben, ob mit h264 ist dann die andere
Frage...

PS: Ich muss an dieser Stelle anmerken, dass ADTF 2.x nicht auf Windows 10 getestet/supportet wird, aber nattrlich grundsétzlich lauft.

#7 - 2018-09-14 15:30 - hidden

Hallo,

ja leider muss es in H264 sein am liebsten ware auch H265.

Ein Wechsel auf Linux geht leider nicht da wir an diese Car PC’s gebunden sind.

Aber wenn Sie schon so zuversichtlich klingen, dann warte ich natdrlich bis zum Ende né&chster Woche mal ab.
Schoénes Wochenende

Mit freundlichen GriBen

Marco Gorke
Projektleiter Erprobung

#8 - 2018-09-14 16:58 - hidden
- Support Level changed from 2nd Level to 3rd Level

#9 - 2018-09-14 18:01 - hidden
- File h264.zip added
OK, ich habs denke ich am Laufen, schnelles Backup vorm Wochenende...

e ADTF Config -> h264.zip
e Encoder -> https://sourceforge.net/projects/x264viw/

o Decoding muss deaktiviert in Codec-Konfiguration
¢ Decoder -> https://www.videohelp.com/software/ffdshow

> Playback erfolgreich
-> Export erfolgreich

Todo:
Terminabstimmung oder Anleitung

#10 - 2018-09-17 08:45 - hidden

Guten Morgen Herr Roth,

das sind ja Montag friih super Nachrichten ;D.

Ich denke wir probieren es erstmal mit einer Anleitung, denn da ist der Lerneffekt gréBer.
Mit freundlichen Gri3en

Marco Gorke
Projektleiter Erprobung

#11 - 2018-09-17 10:01 - hidden

- Status changed from In Progress to Customer Feedback Required

Anleitung zum Setup:

1) Installation ADTF Umgebung aus dem Downloadbereich -> Overview_of Products and_Documentation (sofern noch nicht geschehen):

e ADTF 2.14.2
e Device Toolbox 2.7.0
e Video Compression Toolbox 2.5.0

2) Installation des H264 Codecs flr Video for Windows:

e Encoder -> https://sourceforge.net/projects/x264viw/
o Im Tool *Configure x264vfw64:
= Qutput Mode = VFW
= VFW FourCC = H264
= Disable decoder setzen (Wichtig, damit nachfolgender Decoder verwendet wird!)
¢ Decoder -> https://www.videohelp.com/software/ffdshow

3) Beigefligte Config h264.zip entpacken und im ADTF starten

e Config LIVE -> Zur Kontrolle der Camera
¢ Config Recording -> Aufnahme des komprimierten Video Stroms
e Config Playback -> Abspielen einer mittels Recording Config aufgenommen DAT Datei mit komprimierten Video Stream

> Es wird davon ausgegangen, dass das Kamera Device automatisch erkannt wird (ansonsten bitte entsprechend in den Properties des Direct Show

Usermanual ADTF Kap. 3.3 Project Tree

-> Mit dem Datexporter kénnt ihr das Video exportieren (Extrahieren), entweder per GUI (siehe Usermanual ADTF Kap. 3.10.1 DAT Exporter) oder
Kommandozeile (siehe "Usermanual Compression TB Kap. 5 Export and import of compressed video
streams":/adtf_addons/adtf-video-compression-toolbox/v2/video_compression_toolbox.pdf

Hinweis:

Es kann sein dass es zu Exceptions kommt, das hat aber keine negativen Auswirkungen auf euren Use Case, auB3er dass sich ADTF beendet.
Es liegt am Buffer von VfW, leider sind uns hier die Hande gebunden...

Deshalb ware meine Empfehlung, Recording und Playback immer zu trennen, also ADTF dazwischen zu beenden.

#12 - 2018-09-18 09:45 - hidden

Hallo Herr Roth,
wir haben bereits eine Config und miissen dies dort einfligen !
Wie bekomme ich denn die Teile in den Componenten Tree um sie da einzubinden!?
https://support.digitalwerk.net/attachments/4978
https://sourceforge.net/projects/x264vfw/
https://www.videohelp.com/software/ffdshow
https://support.digitalwerk.net/projects/download-center/wiki/Overview_of_Products_and_Documentation
support.digitalwerk.net/projects/download-center/repository/show/adtf/release-2.14.2
support.digitalwerk.net/projects/download-center/repository/show/adtf-toolboxes/adtf-device-toolbox/release-2.7.0
support.digitalwerk.net/projects/download-center/repository/show/adtf-toolboxes/adtf-video-compression-toolbox/release-2.5.0
https://sourceforge.net/projects/x264vfw/
https://www.videohelp.com/software/ffdshow
https://support.digitalwerk.net/attachments/4978
support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf
support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf

Grui3
Mit freundlichen GriiBen

Marco Gorke
Projektleiter Erprobung

#13 - 2018-09-18 10:55 - hidden
Hallo Herr Gorke,
es muss lediglich die Video Compression Toolbox 2.5.0 installiert, darin sind der Image Compressor / Decompressor enthalten.

Sofern die Toolbox bei der Installation in ein ADTF Verzeichnis installiert wird, sollten die Pfade automatisch angezogen, so sind die gelieferten
Manifest Files (siehe Kap. 4) definiert (<KADTF-DIR>/addons/*/bin*.plb), sofern sie nicht gedndert wurden.

Ansonsten unter Settings -> Plugin Directories den Pfad zu den PLBs setzen (siehe auch Kap. 3.11 Settings Editor).
Danach sind die beiden Filter im Component Tree verfligbar, wenn nicht, dann bitte die Console View prifen oder auch Loaded Modules.

Wenn der Image Compressor dann in die Config gezogen wird, bitte beim Codec Property vfw:X264 eintragen.
Ansonsten alles wie in #4134#note-11 beschrieben

#14 - 2018-09-18 16:00 - hidden

Hallo Herr Roth,
ich glaube ich stell mich gerade ein bisschen doof an. Kann man Sie mal anrufen ?

Mit freundlichen GriBen

Marco Gorke
Projektleiter Erprobung

#15 - 2018-09-20 08:13 - hidden

Hallo Marco,

nach telefonischer Unterstiitzung... ich hoffe nun klappt das Thema soweit ?
Bitte um kurzes Feedback, ich wiirde das Ticket gerne abschlieBen

#16 - 2018-09-24 08:15 - hidden

Guten Morgen Florian,
ja hat alles super geklappt. Danke nochmals fir die tolle und schnelle Unterstitzung.
Kannst du mir vielleicht noch mitteilen wie viele Stunden wir noch zur Verfigung haben bzw. verbraucht haben!?

Gruf3
Marco

#17 - 2018-09-24 15:11 - hidden
- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

Hallo Marco,

alles in allem war ich vier Stunden beschéftigt.
Ich wiirde aber nur zwei "in Rechnung stellen”, die Zeit ging namlich fir den Encoder Bug drauf und dafir kénnt ihr ja nichts...

#18 - 2018-09-24 16:15 - hidden
- File image1.jpeg added
- File imageZ2.jpeg added

#19 - 2018-09-24 16:29 - hidden
- Status changed from To Be Closed to Closed

#21 - 2018-09-24 16:30 - hidden
- File deleted (image1.jpeg)

2024-05-11 4/5


support.digitalwerk.net/projects/download-center/repository/show/adtf-toolboxes/adtf-video-compression-toolbox/release-2.5.0
support.digitalwerk.net/adtf_addons/adtf-video-compression-toolbox/v2/video_compression_toolbox.pdf
support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
https://support.digitalwerk.net/issues/4134#note-11

#22 - 2018-09-24 16:30 - hidden
- File deleted (image2.jpeg)

#23 - 2018-09-24 16:30 - hidden
- Project changed from 29 to Public Support

#24 - 2020-07-07 13:34 - hidden

- Private changed from Yes to No

Files

h264.zip 7.48 KB
